Subject: Re: [PATCH] Fix build failure when CONFIG_NLS is set to 'm' by allmodconfig

From: Jesse Barnes <[email-masked]>
Date: Tue, 29 Mar 2011 09:23:03 -0700

On Tue, 29 Mar 2011 09:18:04 -0700
Randy Dunlap <[email-masked]> wrote:

> On 03/28/11 18:55, OGAWA Hirofumi wrote:
> > Randy Dunlap <[email-masked]> writes:
> > 
> >>> I don't get this.. you should not be getting CONFIG_NLS=m unless you
> >>> have stripped you config files really.. :-) Is it possible to get
> >>> your .config to hit this issue.
> >>
> >> I haven't stripped any config files -- but they are randconfig files.
> >> Two (2) config files that cause build failures are attached.
> > 
> > config PCI_IOAPIC
> > 	bool
> > 	depends on PCI
> > 	depends on ACPI
> > 	depends on HOTPLUG
> > 	default y
> > 
> > select NLS if (DMI || ACPI)
> 
> Ugh.  That looks seriously mucked up.
> Dell people, have you checked what it is linux-next for this pci-label stuff?
> 
> Jesse, I would drop the b0rked pieces and ask for a new patch.

Should be the same as what's in Linus master at this point...  But yes
I'm tempted to revert since it's been nothing but trouble so far.

Narendra, any chance you can get me a fix today?  If not I'll queue up
a revert and you can try again in the next cycle.

-- 
Jesse Barnes, Intel Open Source Technology Center